[Numpy-discussion] testing binary installer for OS X

David Cournapeau cournape@gmail....
Fri Feb 26 18:17:59 CST 2010


On Sat, Feb 27, 2010 at 2:44 AM,  <josef.pktd@gmail.com> wrote:

>
> I think I mixed up some things then,
> scipy 0.7.1 cython files should be regenerated with the latest cython
> release so that it doesn't check the sizeof anymore.
> Then, a scipy 0.7.1 build against numpy 1.3 would also work without
> recompiling against numpy 1.4.1
>
> Is this correct?

Yes, this is correct. It is impossible to create a numpy 1.4.x which
is compatible with the *existing* scipy binary, because several
structures have been growing (not only because of datetime).

The cython changes have already been incorporated in scipy 0.7.x
branch, so in the end, what should be done is a new 0.7.2 scipy binary
built against numpy 1.3.0, which will then be compatible with both
numpy 1.3 and 1.4 binaries,

cheers,

David


More information about the NumPy-Discussion mailing list